Create Payment Link
POST
https://api-pay.monoova.com/v1/api/payment-links
Body Parameters
- bodyCreatePaymentLinkRequestrequiredDescription
- amountnumber<decimal>requiredExampleDescriptionFormatdecimalMinimum0.01
- currencystring<AUD>ExampleDescriptionDefaultAUDAllowedAUD
- narrativestringExampleDescription
- payerPayer
- firstNamestringExampleDescriptionMax Length60Pattern^[^#<>$%^_=[\]\\{}|;~`]+$
- lastNamestringExampleDescriptionMax Length60Pattern^[^#<>$%^_=[\]\\{}|;~`]+$
- customerIdstringExampleDescriptionPattern^[a-zA-Z0-9_-]{1,40}$
- emailAddressstring<email>ExampleDescriptionFormatemailMax Length40Pattern^[a-zA-Z0-9!#$%&'*+/=?^_`{|}~ -]+[\.a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]*@[a-zA-Z0-9-_]+[.a-zA-Z0-9-_]*\.[a-zA-Z]{2,15}$
- phonestringExampleDescriptionMax Length20Pattern^\+?[0-9\s\-\(\)]{6,20}$
- brandingWhiteLabelConfigDescription
- merchantNamestringExample
- logostring<uri>ExampleFormaturi
- cardCardDetails
- enabledbooleanExampleDescription
- paymentDetailsCardPaymentDetails
- descriptionstringExampleDescription
- saveOnSuccessbooleanDescription
- allowCreditbooleanDescription
- applySurchargebooleanDescription
- capturePaymentbooleanExampleDescription
- ledgerAccountNumberstringExampleDescriptionPattern^6[0-9]{15}$
- cardMerchantIdstringExampleDescriptionPattern^[ -~]{1,35}$
- payToPayToDetailsRequestDescription
- agreementPayToAgreementRequestDescription
- paymentTermsPayToPaymentTerms
- amountnumber<decimal>ExampleDescriptionFormatdecimalMinimum0.01
- maximumAmountnumber<decimal>ExampleDescriptionFormatdecimalMinimum0.01
- numberOfTransactionsPermittedinteger<int32>ExampleDescriptionFormatint32
- frequencystring<ADHO | DAIL | WEEK | FRTN | MNTH | QURT | MIAN | YEAR>ExampleDescriptionAllowedADHODAILWEEKFRTNMNTHQURTMIANYEAR
- pointInTimestringExampleDescription
- agreementTypestring<FIXE | USGB | VARI>ExampleDescriptionAllowedFIXEUSGBVARI
- paymentDetailsPayToAgreementPaymentDetails
- descriptionstringExampleDescriptionMax Length140
- shortDescriptionstringExampleDescriptionMax Length35
- purposestring<MORT | UTIL | LOAN | DEPD | GAMP | RETL | SALA | PERS | GOVT | PENS | TAXS | OTHR>ExampleDescriptionAllowedMORTUTILLOANDEPDGAMPRETLSALAPERSGOVTPENSTAXSOTHR
- startDatestring<date>ExampleDescriptionFormatdate
- endDatestring<date>ExampleDescriptionFormatdate
- automaticRenewalbooleanExampleDescription
- payeeDetailsPayeeDescription
- payeeTypestring<ORGN | PERS>DescriptionAllowedORGNPERS
- payeeLinkedBsbstringExampleDescription
- payeeLinkedAccountstringExampleDescriptionMax Length28
- payeeLinkedPayIdstringExampleDescription
- payeeLinkedPayIdTypestringExampleDescription
- payeeAccountNamestringExampleDescriptionMax Length140
- ultimatePayeestringExampleDescriptionMax Length140
Responses
201
- CreatePaymentLinkResponse
- merchantReferencestringrequiredExampleDescription
- paymentUrlstring<uri>requiredExampleDescriptionFormaturi
- expirystring<date-time>requiredExampleDescriptionFormatdate-time
Response Headers
- LocationstringDescription
400
- ValidationProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- errorsmap<string, string[]>Example
{ "amount": [ "'Amount' must be greater than 0." ], "currency": [ "Currency must be one of: AUD." ] }
401
- ProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- detailstringExample
500
- ProblemDetails
- typestringExample
- titlestringExample
- statusintegerExample
- detailstringExample
curl
curl --request POST \
--url https://api-pay.monoova.com/v1/api/payment-links \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"amount": 100.5,
"currency": "AUD"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"amount": 100.5,
"currency": "AUD"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api-pay.monoova.com/v1/api/payment-links", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api-pay.monoova.com/v1/api/payment-links")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"amount": 100.5,
"currency": "AUD"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api-pay.monoova.com/v1/api/payment-links"
payload = json.dumps({
"amount": 100.5,
"currency": "AUD"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Payment link successfully created
{
"merchantReference": "ref_123456",
"paymentUrl": "https://payment.example.com/pay/ref_123456",
"expiry": "2026-05-30T12:00:00Z"
}400
// Validation error
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": "{\"amount\":[\"'Amount' must be greater than 0.\"],\"currency\":[\"Currency must be one of: AUD.\"]}"
}401
// Missing or invalid Bearer token
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "Problem Details",
"status": 400,
"detail": "Bearer token is required."
}500
// Server error
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "Problem Details",
"status": 400,
"detail": "Bearer token is required."
}